## Ms Basic Connect Extensions Ms Basic Connect Extensions |

## Functions

void | mbim_pco_value_free ()
void | mbim_lte_attach_configuration_array_free ()
void | mbim_lte_attach_status_free ()
MbimMessage * | mbim_message_ms_basic_connect_extensions_pco_query_new ()
gboolean | mbim_message_ms_basic_connect_extensions_pco_response_parse ()
gboolean | mbim_message_ms_basic_connect_extensions_pco_notification_parse ()
MbimMessage * | mbim_message_ms_basic_connect_extensions_lte_attach_configuration_query_new ()
MbimMessage * | mbim_message_ms_basic_connect_extensions_lte_attach_configuration_set_new ()
gboolean | mbim_message_ms_basic_connect_extensions_lte_attach_configuration_response_parse ()
gboolean | mbim_message_ms_basic_connect_extensions_lte_attach_configuration_notification_parse ()
MbimMessage * | mbim_message_ms_basic_connect_extensions_lte_attach_status_query_new ()
gboolean | mbim_message_ms_basic_connect_extensions_lte_attach_status_response_parse ()
gboolean | mbim_message_ms_basic_connect_extensions_lte_attach_status_notification_parse ()

## Types and Values

| MbimPcoValue
| MbimLteAttachConfiguration
| MbimLteAttachStatus

## Description

## Functions

### mbim_pco_value_free ()

    void
    mbim_pco_value_free (MbimPcoValue *var);

Frees the memory allocated for the MbimPcoValue.

#### Parameters

var | a MbimPcoValue. |

### mbim_lte_attach_configuration_array_free ()

    void
    mbim_lte_attach_configuration_array_free
                                   (MbimLteAttachConfiguration **array);

Frees the memory allocated for the array of MbimLteAttachConfigurations.

#### Parameters

array | a NULL terminated array of MbimLteAttachConfiguration structs. |

### mbim_lte_attach_status_free ()

    void
    mbim_lte_attach_status_free (MbimLteAttachStatus *var);

Frees the memory allocated for the MbimLteAttachStatus.

#### Parameters

var | a MbimLteAttachStatus. |

### mbim_message_ms_basic_connect_extensions_pco_query_new ()

    MbimMessage *
    mbim_message_ms_basic_connect_extensions_pco_query_new
                                   (const MbimPcoValue *pco_value,
                                    GError **error);

Create a new request for the 'PCO' query command in the 'Ms Basic Connect Extensions' service.

#### Parameters

pco_value | the 'PcoValue' field, given as a MbimPcoValue. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_ms_basic_connect_extensions_pco_response_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_pco_response_parse
                                   (const MbimMessage *message,
                                    MbimPcoValue **pco_value,
                                    GError **error);

Parses and returns parameters of the 'PCO' response command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
pco_value | return location for a newly allocated MbimPcoValue, or `NULL` if the 'PcoValue' field is not needed. Free the returned value with `mbim_pco_value_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_ms_basic_connect_extensions_pco_notification_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_pco_notification_parse
                                   (const MbimMessage *message,
                                    MbimPcoValue **pco_value,
                                    GError **error);

Parses and returns parameters of the 'PCO' notification command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
pco_value | return location for a newly allocated MbimPcoValue, or `NULL` if the 'PcoValue' field is not needed. Free the returned value with `mbim_pco_value_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_ms_basic_connect_extensions_lte_attach_configuration_query_new ()

    MbimMessage *
    mbim_message_ms_basic_connect_extensions_lte_attach_configuration_query_new
                                   (GError **error);

Create a new request for the 'Lte Attach Configuration' query command in the 'Ms Basic Connect Extensions' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_ms_basic_connect_extensions_lte_attach_configuration_set_new ()

    MbimMessage *
    mbim_message_ms_basic_connect_extensions_lte_attach_configuration_set_new
                                   (MbimLteAttachContextOperation operation,
                                    guint32 configuration_count,
                                    const MbimLteAttachConfiguration *const *configurations,
                                    GError **error);

Create a new request for the 'Lte Attach Configuration' set command in the 'Ms Basic Connect Extensions' service.

#### Parameters

operation | the 'Operation' field, given as a MbimLteAttachContextOperation. |
configuration_count | the 'ConfigurationCount' field, given as a guint32. |
configurations | the 'Configurations' field, given as an array of MbimLteAttachConfigurations. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_ms_basic_connect_extensions_lte_attach_configuration_response_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_lte_attach_configuration_response_parse
                                   (const MbimMessage *message,
                                    guint32 *configuration_count,
                                    MbimLteAttachConfiguration ***configurations,
                                    GError **error);

Parses and returns parameters of the 'Lte Attach Configuration' response command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
configuration_count | return location for a guint32, or `NULL` if the 'ConfigurationCount' field is not needed. |
configurations | return location for a newly allocated array of MbimLteAttachConfigurations, or `NULL` if the 'Configurations' field is not needed. Free the returned value with `mbim_lte_attach_configuration_array_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_ms_basic_connect_extensions_lte_attach_configuration_notification_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_lte_attach_configuration_notification_parse
                                   (const MbimMessage *message,
                                    guint32 *configuration_count,
                                    MbimLteAttachConfiguration ***configurations,
                                    GError **error);

Parses and returns parameters of the 'Lte Attach Configuration' notification command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
configuration_count | return location for a guint32, or `NULL` if the 'ConfigurationCount' field is not needed. |
configurations | return location for a newly allocated array of MbimLteAttachConfigurations, or `NULL` if the 'Configurations' field is not needed. Free the returned value with `mbim_lte_attach_configuration_array_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_ms_basic_connect_extensions_lte_attach_status_query_new ()

    MbimMessage *
    mbim_message_ms_basic_connect_extensions_lte_attach_status_query_new
                                   (GError **error);

Create a new request for the 'Lte Attach Status' query command in the 'Ms Basic Connect Extensions' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_ms_basic_connect_extensions_lte_attach_status_response_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_lte_attach_status_response_parse
                                   (const MbimMessage *message,
                                    MbimLteAttachStatus **lte_attach_status,
                                    GError **error);

Parses and returns parameters of the 'Lte Attach Status' response command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
lte_attach_status | return location for a newly allocated MbimLteAttachStatus, or `NULL` if the 'LteAttachStatus' field is not needed. Free the returned value with `mbim_lte_attach_status_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

### mbim_message_ms_basic_connect_extensions_lte_attach_status_notification_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_lte_attach_status_notification_parse
                                   (const MbimMessage *message,
                                    MbimLteAttachStatus **lte_attach_status,
                                    GError **error);

Parses and returns parameters of the 'Lte Attach Status' notification command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
lte_attach_status | return location for a newly allocated MbimLteAttachStatus, or `NULL` if the 'LteAttachStatus' field is not needed. Free the returned value with `mbim_lte_attach_status_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

## Types and Values

### MbimPcoValue

    typedef struct {
        guint32 session_id;
        guint32 pco_data_size;
        guint32 pco_data_type;
        guint8 *pco_data_buffer;
    } MbimPcoValue;

#### Members

guint32 `session_id`; | a guint32. |
guint32 `pco_data_size`; | a guint32. |
guint32 `pco_data_type`; | a guint32. |
guint8 *`pco_data_buffer`; | an array of guint8 values. |

### MbimLteAttachConfiguration

    typedef struct {
        guint32 ip_type;
        guint32 roaming;
        guint32 source;
        gchar *access_string;
        gchar *user_name;
        gchar *password;
        guint32 compression;
        guint32 auth_protocol;
    } MbimLteAttachConfiguration;

#### Members

guint32 `ip_type`; | a guint32. |
guint32 `roaming`; | a guint32. |
guint32 `source`; | a guint32. |
gchar *`access_string`; | a string. |
gchar *`user_name`; | a string. |
gchar *`password`; | a string. |
guint32 `compression`; | a guint32. |
guint32 `auth_protocol`; | a guint32. |

### MbimLteAttachStatus

    typedef struct {
        guint32 lte_attach_state;
        guint32 ip_type;
        gchar *access_string;
        gchar *user_name;
        gchar *password;
        guint32 compression;
        guint32 auth_protocol;
    } MbimLteAttachStatus;

#### Members

guint32 `lte_attach_state`; | a guint32. |
guint32 `ip_type`; | a guint32. |
gchar *`access_string`; | a string. |
gchar *`user_name`; | a string. |
gchar *`password`; | a string. |
guint32 `compression`; | a guint32. |
guint32 `auth_protocol`; | a guint32. |